class Conto_Corrente :
    
    def __init__ (self, iban_conto, nome, cognome, \
                  cf, saldo = 0, scoperto = 0) :
        self._iban = iban_conto
        self._nome = nome
        self._cognome = cognome
        self._cf = cf
        self._saldo = saldo
        self._scoperto = scoperto

    def nome (self) :
        return self._nome

    def cognome (self) :
        return self._cognome

    def iban (self) :
        return self._iban

    def saldo (self) :
        return self._saldo

    def scoperto (self) :
        return self._scoperto

    def assegna_scoperto (self, scoperto) :
        self._scoperto = scoperto
    
    def versamento (self, importo) :
        self._saldo = self._saldo + importo

    def prelievo (self, importo) :
        if self._saldo - importo > self._scoperto :
            self._saldo = self._saldo - importo
            return importo
        else :
            return 0
    
# Esempi:
# - per creare un'istanza con saldo e scoperto pari a 0:
#   c = Conto_Corrente("ITX...", "Ugo", "Neri", "NRIUGO...")
# - per creare un'istanza con saldo pari a 2000 e scoperto pari a 1000:
#   c = Conto_Corrente("ITX...", "Ugo", "Neri", "NRIUGO...", 2000, 1000)
# - per creare un'istanza con saldo pari a 0 e scoperto pari a 1000:
#   c = Conto_Corrente("ITX...", "Ugo", "Neri", "NRIUGO...", \
#                      scoperto = 1000)
# - per assegnare uno scoperto di 3000 euro:
#      c.scoperto(3000)
# - per registrare un versamento di 500 euro:
#      c.versamento(500)
# - per registrare un prelievo di 250 euro: c.prelievo(250)
# - per ottenere il saldo: c.saldo()
