from random import shuffle, randint

class Carte_da_gioco :

    def __init__ (self) :
        self._mazzo = list()
        for seme in ["C", "Q", "F", "P"] :
            for valore in range(2, 11) + ["J", "Q", "K", "A"] :
                carta = {'seme':seme, 'valore':str(valore)}
                self._mazzo.append(carta)

    def stampa_carte (self) :
        print "\nCarte nel mazzo attuale:\n"
        for carta in self._mazzo :
            print "(" + carta['seme'] + "," + \
                  carta['valore'] + "),",
        print

    def mescola (self) :
        shuffle(self._mazzo)

    def taglia (self) :
        indice_carta = len(self._mazzo)/2
        self._mazzo = self._mazzo[indice_carta:len(self._mazzo)] + \
                      self._mazzo[0:indice_carta]

    def estrai_prima_carta (self) :
        return self._mazzo.pop(0)

    def estrai_una_carta (self) :
        indice_carta = randint(0, len(self._mazzo) - 1)
        return self._mazzo.pop(indice_carta)


# Esempi:
# - per creare un nuovo mazzo con le carte ordinate:
#   m = Carte_da_gioco()
# - per stampare le carte nel mazzo attuale:
#   m.stampa_carte()
# - per mescolare il mazzo:
#   m.mescola()
# - per tagliare il mazzo:
#   m.taglia()
# - per estrarre la prima carta del mazzo attuale:
#   m.estrai_prima_carta()
# - per estrarre una carta qualsiasi dal mazzo attuale:
#   m.estrai_una_carta()
